=== debian/rules ===
#!/usr/bin/make -f

DEB_INSTALL_CHANGELOGS_ALL = NEWS

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

install/fastx-toolkit::
	rm --recursive $(CURDIR)/debian/fastx-toolkit/usr/share/aclocal
