=== debian/watch ===
# Compulsory line, this is a version 3 file
version=3
http://hannonlab.cshl.edu/fastx_toolkit/download.html fastx_toolkit-(.*)\.tar\.bz2
