## fastx-toolkit 0.0.13.2

=== debian/changelog ===
fastx-toolkit (0.0.13.2-2) unstable; urgency=low

  20c23bd debian/control normalised with config-model-edit.
  e23d327 Conforms with Policy 3.9.4.
  bd520ae Removed obsolete DM-Upload-Allowed field.
  ef94fe2 Added upstream metadata.
  5303f09 Use normalised VCS URLs.
  381489a Refresh autotools files via dh. (Closes: #727377)

 -- Charles Plessy <plessy@debian.org>  Wed, 10 Jul 2013 09:31:59 +0900

fastx-toolkit (0.0.13.2-1) unstable; urgency=low

  1313f16 Imported Upstream version 0.0.13.2
  dbfb3ae Removed debian/patches/gcc-4.7.patch, applied upstream.
  182cd30 Include 7 digits of the commit ID in the changelog entry.
  2ae7b63 Spellchecked common “See also” section of the manpages.
  363856c Verbose Debhelper.

 -- Charles Plessy <plessy@debian.org>  Tue, 15 May 2012 21:02:22 +0900

fastx-toolkit (0.0.13.1-2) unstable; urgency=low

  * debian/control:
     - Added myself to Uploaders
     - Standards-Version: 3.9.3 (no changes needed)
     - Add missing dependencies of Perl scripts
     - Add Build-Depends help2man
     - Add Perl modules also ad Build-Depends to enable also
       running help2man on Perl scripts
  * debian/patches/gcc-4.7.patch: Fix build issue with gcc-4.7
    Closes: #667161
  * debian/rules:
     - convert from cdbs to dh to finally enable hardening flags
     - use help2man to creat manpages where possible
  * debhelper 9 (control+compat) to support hardening flags
  * debian/README.Debian: Add hint for useful web page

 -- Andreas Tille <tille@debian.org>  Wed, 25 Apr 2012 22:31:55 +0200
