=== debian/control ===
Source: fastx-toolkit
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Charles Plessy <plessy@debian.org>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 9),
               autotools-dev,
               pkg-config,
               libgtextutils-dev,
               help2man,
               libgd-graph-perl,
               libperlio-gzip-perl
Standards-Version: 3.9.4
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/fastx-toolkit.git
Vcs-Git: git://anonscm.debian.org/debian-med/fastx-toolkit.git
Homepage: http://hannonlab.cshl.edu/fastx_toolkit/

Package: fastx-toolkit
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libgd-graph-perl,
         libperlio-gzip-perl
Description: FASTQ/A short nucleotide reads pre-processing tools
 The FASTX-Toolkit is a collection of command line tools for preprocessing
 short nucleotide reads in FASTA and FASTQ formats, usually produced by
 Next-Generation sequencing machines. The main processing of such FASTA/FASTQ
 files is mapping (aligning) the sequences to reference genomes or other
 databases using specialized programs like BWA, Bowtie and many others.
 However, it is sometimes more productive to preprocess the FASTA/FASTQ files
 before mapping the sequences to the genome—manipulating the sequences to
 produce better mapping results. The FASTX-Toolkit tools perform some of these
 preprocessing tasks.
