## fastx-toolkit 0.0.14

=== debian/changelog ===
fastx-toolkit (0.0.14-5) unstable; urgency=low

  [ Steffen Moeller ]
  * [debian/upstream/metadata] Added references to 
    OMICtools, bio.tools, RRID

  [ Andreas Tille ]
  * Standards-Version: 4.1.0 (no changes needed)
  * Exit after usage to make sure gcc-7 will not assume that code falls
    through case statement.
    Closes: #853396
  * d/rules: do not parse d/changelog
  * drop autotools Build-Depends and in d/rules since that's redundant
    for debhelper 10

 -- Andreas Tille <tille@debian.org>  Fri, 25 Aug 2017 10:22:12 +0200

fastx-toolkit (0.0.14-4) unstable; urgency=low

  * Team upload.

  [ Nadiya Sitdykova ]
  * Add autopkgtest test-suite
  * Add tests for fastx_quality_stats and fastq_quality_filter
  * Fix typos in fastq_quality_filter test
  * Additional tests
  * Add info about -Q option to help screens for commmands, where 
    it's relevant

 -- Nadiya Sitdykova <rovenskasa@gmail.com>  Mon, 05 Jun 2017 17:55:44 -0400

fastx-toolkit (0.0.14-3) unstable; urgency=low

  [ Steffen Moeller ]
  361a318 Added EDAM annotation for fastx-toolkit.

  [ Andreas Tille ]
  * Make Build reproducible (thanks for the patch to Chris Lamb
    <lamby@debian.org>, the change in d/rules to suppress creation
    of manpages was reverted)
    Closes: #840140
  * cme fix dpkg-control
  * debhelper 10
  * d/watch: version=4
  * Git repository converted to default layout
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Sat, 10 Dec 2016 08:59:40 +0100

fastx-toolkit (0.0.14-1) unstable; urgency=low

  53f820d New upstream release (Closes: 715887, 715888)
  6a99f79 Default source package branch is now ‘debian/unstable’.
  5028533 Conforms with the Policy version 3.9.5.
  450b05d debian/watch: follow GitHub.
  d2de0ee Build-depend on libtool.
  ee94435 debian/rules: adapt for building from Git repository.
  6d9b972 Document backward-incompatible changes in debian/NEWS.
  d0c8ed5 Mangle upstream version number for release candidates.
  58a04c9 Document the repository structure in ‘debian/gbp.conf’.
  4786502 Build-depend on automake.

 -- Charles Plessy <plessy@debian.org>  Sun, 12 Jan 2014 15:52:14 +0900
