=== debian/control ===
--- 
+++ 
@@ -4,16 +4,16 @@
            Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               autotools-dev,
+Build-Depends: debhelper (>= 10),
+               libtool,
                pkg-config,
                libgtextutils-dev,
                help2man,
                libgd-graph-perl,
                libperlio-gzip-perl
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-med/fastx-toolkit.git
-Vcs-Git: git://anonscm.debian.org/debian-med/fastx-toolkit.git
+Standards-Version: 4.1.0
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/fastx-toolkit.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/fastx-toolkit.git
 Homepage: http://hannonlab.cshl.edu/fastx_toolkit/
 
 Package: fastx-toolkit
