=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/fastx_toolkit-$1.tar.gz/,uversionmangle=s/-rc/~rc/ \
 https://github.com/agordon/fastx_toolkit/tags .*/v?(\d\S*)\.tar\.gz
